This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 47923 - Vectors don't work in Images, and work badly in Buttons
Summary: Vectors don't work in Images, and work badly in Buttons
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.3
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-24 23:08 UTC by Jim Bennett
Modified: 2017-02-22 20:09 UTC (History)
4 users (show)

See Also:
Tags: AC
Is this bug a regression?: ---
Last known good build:


Attachments

Description Jim Bennett 2016-11-24 23:08:05 UTC
I have a Xamarin forms app that uses Vector drawables on Android and PDF vectors inside an asset catalog on iOS.

On iOS I can reference the images fine in both a Xamarin Forms Button (setting the Image property) and an Image (setting the Source property).

On Android I don't see the vector in the Image. I see it in the Button, but it is cropped oddly.

See https://github.com/jimbobbennett/FormsVectorIssue for an app that reproduces this.
Comment 1 adrianknight89 2016-11-26 18:36:38 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/564 (only fixes the Image part)
Comment 2 Jim Bennett 2016-11-28 03:58:19 UTC
The poor images could be my converter... Damn you Android and your proprietary image format!

Thanks for fixing the issue. Is there a potential release version?
Comment 3 adrianknight89 2016-11-28 04:55:41 UTC
No idea. It's something that XF team will have to decide. Perhaps it could make it before 2.3.4 stable.
Comment 4 Rui Marinho 2017-02-20 15:31:27 UTC
Gonna try pull this for 2.3.5-pre1
Comment 5 Samantha Houts 2017-02-22 20:09:47 UTC
Should be fixed in 2.3.5-pre1. Thank you!

Note You need to log in before you can comment on or make changes to this bug.